Get all exchange rates
curl --request GET \
--url https://api.vantage.sh/v2/exchange_rates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/exchange_rates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/exchange_rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exchange_rates": [
{
"base_currency_code": "USD",
"currency_code": "PHP",
"rate": "300.011",
"effective_date": "2025-09-01",
"updated_at": "2025-09-10 00:05:41 UTC"
}
],
"meta": {
"current_page": 1,
"next_page": null,
"prev_page": null,
"total_pages": 1,
"total_count": 1
}
}ExchangeRates
Get all exchange rates
Return all Exchange Rates.
GET
/
exchange_rates
Get all exchange rates
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The number of results to return. The maximum is 1000.
⌘I